Opened 13 years ago

Closed 8 years ago

Last modified 3 years ago

#44 closed task (wontfix)

Propose we omit --pedantic-errors unless maintainer mode is specified.

Reported by: lou Owned by: andreasw
Priority: minor Component: configuration tests
Version: 0.5 Keywords:
Cc:

Description

Specifying --pedantic-errors causes build failures on some systems and huge numbers of warnings on others. Our users can't do anything about this and don't need to see the errors/warnings. I'm proposing we change coin.m4 so that the majority of the compile warning flags are used only when maintainer mode is enabled.

Change History (4)

comment:1 Changed 11 years ago by stefan

BuildTools?/stable/0.5 was now changed to omit --pedantic-errors on Darwin, because some compiler (I think Intel) does not compile some system header files when it is there.

Stefan

comment:2 Changed 8 years ago by stefan

I have not heard about problems with the --pedantic-errors flag for a while. If nobody protests, I would leave it in and close this ticket.

comment:3 Changed 8 years ago by stefan

  • Resolution set to wontfix
  • Status changed from new to closed

comment:4 Changed 3 years ago by stefan

Some problems have been heard recently, e.g., see https://github.com/coin-or-tools/BuildTools/issues/1. So r3701 removes the flag for all platforms. It also doesn't get enabled for maintainer mode so far.

Note: See TracTickets for help on using tickets.